Package com.google.javascript.jscomp

# Enum AnonymousFunctionNamingPolicy

java.lang.Object
java.lang.Enum<AnonymousFunctionNamingPolicy>
com.google.javascript.jscomp.AnonymousFunctionNamingPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<AnonymousFunctionNamingPolicy>`, `java.lang.constant.Constable`

public enum AnonymousFunctionNamingPolicy extends Enum<AnonymousFunctionNamingPolicy>
Strategies for how to do naming of anonymous functions that occur as r-values in assignments and variable declarations.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MAPPED`
Generates short unique names and provides a mapping from them back to a more meaningful name that's based on the left-hand side of the assignment.
`OFF`
Don't give anonymous functions names
`UNMAPPED`
Generates names that are based on the left-hand side of the assignment.

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getReservedCharacters()`
Gets characters that are reserved for use in anonymous function names and can't be used in variable or property names.
`static AnonymousFunctionNamingPolicy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AnonymousFunctionNamingPolicy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final AnonymousFunctionNamingPolicy OFF
Don't give anonymous functions names

### UNMAPPED

public static final AnonymousFunctionNamingPolicy UNMAPPED
Generates names that are based on the left-hand side of the assignment. Runs after variable and property renaming, so that the generated names will be short and obfuscated.

See Also:
  - `NameAnonymousFunctions`

### MAPPED

public static final AnonymousFunctionNamingPolicy MAPPED
Generates short unique names and provides a mapping from them back to a more meaningful name that's based on the left-hand side of the assignment.

See Also:
  - `NameAnonymousFunctionsMapped`

## Method Details

### values

public static AnonymousFunctionNamingPolicy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AnonymousFunctionNamingPolicy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getReservedCharacters

public char[] getReservedCharacters()
Gets characters that are reserved for use in anonymous function names and can't be used in variable or property names.

Returns:
  reserved characters or null if no characters are reserved